Last Comment Bug 772225 - Disable GeckoInputConnection's clampSelection() to test whether SpannableStringBuilder IndexOutOfBoundsExceptions are fixed
: Disable GeckoInputConnection's clampSelection() to test whether SpannableStri...
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: Keyboards and IME (show other bugs)
: unspecified
: ARM Android
: P2 normal (vote)
: Firefox 17
Assigned To: Chris Peterson [:cpeterson]
:
: Jim Chen [:jchen] [:darchons]
Mentors:
Depends on: 760396 767791 720092 725170 734156 749571 769520
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 14:26 PDT by Chris Peterson [:cpeterson]
Modified: 2012-07-20 21:04 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
remove-some-clampSelections.patch (8.65 KB, patch)
2012-07-19 14:24 PDT, Chris Peterson [:cpeterson]
blassey.bugs: review+
Details | Diff | Splinter Review

Description Chris Peterson [:cpeterson] 2012-07-09 14:26:20 PDT
I fixed a Gecko/IME race condition in bug 769520 that was the likely cause of most of the mysterious selection IndexOutOfBoundsExceptions thrown from android.text.SpannableStringBuilder.

To test my hypothesis, I would like to disable GeckoInputConnection's clampSelection() code and watch Socorro topcrashes for IndexOutOfBoundsExceptions regressions. If the exceptions do not return, I'd like to remove the clampSelection() code.
Comment 1 Chris Peterson [:cpeterson] 2012-07-19 14:24:37 PDT
Created attachment 644015 [details] [diff] [review]
remove-some-clampSelections.patch

Remove some clampSelection() calls to test whether IndexOutOfBoundsExceptions have been fixed by bug 769520.
Comment 2 Chris Peterson [:cpeterson] 2012-07-20 10:37:10 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/6f770754fa9e
Comment 3 Ryan VanderMeulen [:RyanVM] 2012-07-20 21:04:58 PDT
https://hg.mozilla.org/mozilla-central/rev/6f770754fa9e

Note You need to log in before you can comment on or make changes to this bug.